## php-vlucas-phpdotenv 5.4.1

=== Makefile ===
install:
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:7.4-base update
	@docker run -it -w /data -v ${PWD}:/data:delegated -v ~/.composer:/root/.composer:delegated --entrypoint composer --rm registry.gitlab.com/grahamcampbell/php:7.4-base bin all update

phpunit:
	@rm -f bootstrap/cache/*.php && docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpunit --rm registry.gitlab.com/grahamcampbell/php:7.4-cli

phpstan-analyze-src:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:7.4-cli analyze src -c phpstan.src.neon.dist

phpstan-analyze-tests:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/phpstan --rm registry.gitlab.com/grahamcampbell/php:7.4-cli analyze tests -c phpstan.tests.neon.dist

psalm-analyze:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:7.4-cli

psalm-baseline:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:7.4-cli --set-baseline=psalm-baseline.xml

psalm-show-info:
	@docker run -it -w /data -v ${PWD}:/data:delegated --entrypoint vendor/bin/psalm.phar --rm registry.gitlab.com/grahamcampbell/php:7.4-cli --show-info=true

test: phpunit phpstan-analyze-src phpstan-analyze-tests psalm-analyze

clean:
	@rm -rf .phpunit.result.cache composer.lock vendor vendor-bin/*/composer.lock vendor-bin/*/vendor

## php-vlucas-phpdotenv 3.6.7

=== debian/changelog ===
php-vlucas-phpdotenv (3.6.7-2) unstable; urgency=medium

  * Source only upload for migration to testing
  * Remove Salsa CI config

 -- Robin Gustafsson <robin@rgson.se>  Sun, 06 Dec 2020 16:47:52 +0100

php-vlucas-phpdotenv (3.6.7-1) unstable; urgency=medium

  * New upstream release
  * Add Upstream-Name and Upstream-Contact

 -- Robin Gustafsson <robin@rgson.se>  Thu, 27 Aug 2020 20:05:34 +0200

php-vlucas-phpdotenv (3.6.4-1) unstable; urgency=medium

  * Initial release (Closes: #951163)

 -- Robin Gustafsson <robin@rgson.se>  Tue, 12 May 2020 21:09:10 +0200

=== debian/control ===
Source: php-vlucas-phpdotenv
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Robin Gustafsson <robin@rgson.se>
Build-Depends:
 debhelper-compat (= 13),
 php-phpoption,
 phpab,
 phpunit,
 pkg-php-tools,
Standards-Version: 4.5.0
Homepage: https://github.com/vlucas/phpdotenv
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv
Vcs-Git: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv.git
Rules-Requires-Root: no

Package: php-vlucas-phpdotenv
Architecture: all
Depends:
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: environment variable file loader for PHP
 PHP library implementing an environment variable file (.env) loader for PHP.
 .
 The environment file loader will load environment variables from .env files to
 getenv(), $_ENV and $_SERVER automagically.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	phpab -t debian/autoload.php.tpl -o src/autoload.php src

override_dh_auto_test:
	phpunit -v --bootstrap src/autoload.php

=== debian/tests/control ===
Test-Command: phpunit -v --bootstrap /usr/share/php/Dotenv/autoload.php
Restrictions: allow-stderr
Depends: @, phpunit

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none, \
   repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
   https://github.com/vlucas/phpdotenv.git \
   refs/tags/v?([\d\.]+) debian uupdate

## php-vlucas-phpdotenv 5.4.1

=== debian/changelog ===
php-vlucas-phpdotenv (5.4.1-1) unstable; urgency=medium

  [ Robin Gustafsson ]
  * New upstream version 5.4.1
  * Set upstream metadata fields: Security-Contact.
  * Bump Standards-Version
  * Replace git attributes with uscan's gitexport=all
  * Rename main branch to debian/latest (DEP-14)
  * Mark test dependencies with build profile spec
  * Avoid upstream's "make install" command
  * Build-Depend on dh-sequence-phpcomposer
  * Install a pkg-php-tools autoloader file
  * Generate phpab template with phpabtpl

  [ Katharina Drexel ]
  * Bump new standards version.
  * Removing deprecated patches.
  * Adding build dependeny for php-graham-campbell-result-type.

 -- Robin Gustafsson <robin@rgson.se>  Sat, 23 Jul 2022 17:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: php
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
-Uploaders: Robin Gustafsson <robin@rgson.se>
+Uploaders:
+ Robin Gustafsson <robin@rgson.se>,
 Build-Depends:
  debhelper-compat (= 13),
- php-phpoption,
+ dh-sequence-phpcomposer,
+ php-graham-campbell-result-type <!nocheck>,
+ php-phpoption <!nocheck>,
  phpab,
- phpunit,
- pkg-php-tools,
-Standards-Version: 4.5.0
+ phpunit <!nocheck>,
+ pkg-php-tools (>= 1.41~),
+Standards-Version: 4.6.1
 Homepage: https://github.com/vlucas/phpdotenv
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv.git -b debian/latest
 Rules-Requires-Root: no
 
 Package: php-vlucas-phpdotenv

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
	phpab -t debian/autoload.php.tpl -o src/autoload.php src

override_dh_auto_test:
	phpunit -v --bootstrap src/autoload.php

override_dh_auto_install:

=== debian/tests/control ===
Test-Command: phpunit -v --bootstrap /usr/share/php/Dotenv/autoload.php
Restrictions: allow-stderr
Depends:
 phpunit,
 @,

## php-vlucas-phpdotenv 5.6.0

=== debian/changelog ===
php-vlucas-phpdotenv (5.6.0-1) unstable; urgency=medium

  * New upstream version 5.6.0
  * Fix PHPUnit 11 compatibility (Closes: #1070609)
  * Fix pkg-php-tools 1.45 compatibility (Closes: #1074208)
  * Update Standards-Version
  * Remove <!nocheck> on PHP library dependencies
  * Use my debian.org email in Uploaders

 -- Robin Gustafsson <rgson@debian.org>  Sat, 06 Jul 2024 17:17:07 +0200

php-vlucas-phpdotenv (5.4.1-2) unstable; urgency=medium

  * Team upload
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Fri, 08 Mar 2024 20:09:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,15 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders:
- Robin Gustafsson <robin@rgson.se>,
+ Robin Gustafsson <rgson@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-phpcomposer,
- php-graham-campbell-result-type <!nocheck>,
- php-phpoption <!nocheck>,
+ php-graham-campbell-result-type,
+ php-phpoption,
  phpab,
  phpunit <!nocheck>,
- pkg-php-tools (>= 1.41~),
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/vlucas/phpdotenv
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv.git -b debian/latest

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	phpab -t debian/autoload.php.tpl -o src/autoload.php src

override_dh_auto_test:
	phpunit --bootstrap src/autoload.php

override_dh_auto_install:

## php-vlucas-phpdotenv 5.6.1

=== debian/changelog ===
php-vlucas-phpdotenv (5.6.1-2) unstable; urgency=medium

  * Team upload
  * Modernize PHPUnit syntax
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sun, 02 Mar 2025 18:48:08 +0100

php-vlucas-phpdotenv (5.6.1-1) unstable; urgency=medium

  * Team upload
  * Drop -v flag from phpunit call (Closes: #1092124)
  * Revert "Force system dependencies loading"
  * New upstream version 5.6.1

 -- David Prévot <taffit@debian.org>  Sat, 25 Jan 2025 11:32:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
  php-phpoption,
  phpab,
  phpunit <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/vlucas/phpdotenv
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-vlucas-phpdotenv.git
 Rules-Requires-Root: no
 
 Package: php-vlucas-phpdotenv

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	dh $@
 
 override_dh_auto_build:
+	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
 	phpab -t debian/autoload.php.tpl -o src/autoload.php src
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: phpunit --bootstrap /usr/share/php/Dotenv/autoload.php
Restrictions: allow-stderr
Depends:
 phpunit,
 @,

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, gitexport=all, pgpmode=none, \
   repacksuffix=+dfsg, dversionmangle=s/@DEB_EXT@//" \
   https://github.com/vlucas/phpdotenv.git \
   refs/tags/v?([\d\.]+) debian uupdate
